dofile("scripts/maps/finalcommon.lua")

function init()
	initFinalSpirits()
	
	if isFlag(FLAG_FINAL, FINAL_START) then
		setFlag(FLAG_LI, 200)
	
		node = getNode("LIHEART")
		ent = getLi()
		if ent == 0 then
			ent = createEntity("Li", "")
		end
		entity_setPosition(ent, node_x(node), node_y(node))
		entity_setState(ent, STATE_TRAPPEDINCREATOR, -1, 1)
		
		node = getNode("CCHEART")
		ent = createEntity("CC_Final", "", node_x(node), node_y(node))
	end
end
